Error abriendo la cache

Hola:
Tengo el ubuntu 18.04.5 LTS y me sale el error de la foto.
¿Cómo puedo solucionarlo?
Captura de pantalla de 2021-04-19 12-07-12.png
 
Que has instalado un paquete, pero no sus dependencias. El mensaje está claro, y no tiene nada que ver con caché. Qué has instalado recientemente?

Saludos!
 
Que has instalado un paquete, pero no sus dependencias. El mensaje está claro, y no tiene nada que ver con caché. Qué has instalado recientemente?

Saludos!
No he instalado nada recientemente. Me salio al arrancar el ubuntu. ¿Qué puedo hacer?
 
Mueve el archivo en cuestión y deja que se regenere de nuevo, desde una terminal:
Código:
sudo mv /var/lib/apt/extended_states /var/lib/apt/extended_states.bk
sudo apt update

Y, si de paso quieres actualizar tu sistema: primero lista las actualizaciones:
Código:
sudo apt list --upgradable

Y, si estás de acuerdo, aplícalas:
Código:
sudo apt upgrade -y

Saludos!
 
He seguido los pasos y cuando hago el sudo apt upgrade -y me sale el mensaje:
 

Adjuntos

  • Captura de pantalla de 2021-04-22 16-54-59.png
    Captura de pantalla de 2021-04-22 16-54-59.png
    112.6 KB · Visitas: 37
  • Captura de pantalla de 2021-04-22 16-56-09.png
    Captura de pantalla de 2021-04-22 16-56-09.png
    107.5 KB · Visitas: 39
Yo me cepillaría lo que hay dentro de esa carpeta y volvería a correr el comando. Tal que así:
Código:
sudo rm -rf /var/lib/dpkg/updates/*
sudo dpkg --configure -a
sudo apt update

Saludos!
 
Arriba